Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class DeclarationEditor.VarTypeTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          ix.iface.ui.table.AbstractIXTableModel
              ix.iview.DeclarationEditor.VarTypeTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  DeclarationEditor

    public class DeclarationEditor.VarTypeTableModel

extends AbstractIXTableModel

A table model for ItemVar-Type pairs

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class ix.iface.ui.table.AbstractIXTableModel
`AbstractIXTableModel.TableMarkListener`

Field Summary
`(package private) java.lang.Class[]` | `classes`
`(package private) java.lang.String[]` | `columns`
`(package private) UIRefinement` | `refinement`

Fields inherited from class ix.iface.ui.table.AbstractIXTableModel
`columnClasses, columnFields, columnNames, markedRows, objectClass, rows, rowsMarkable`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`DeclarationEditor.VarTypeTableModel()`

Method Summary
`void` | `addData(ItemVar itemVar)`
`void` | `clear()`
`java.lang.Object` | `getCellValueAt(java.lang.Object baseObject, int columnIndex)` Gets the object's value for the given column index.
`boolean` | `isCellEditable(int row, int col)`
`void` | `setData(UIRefinement uir, java.util.Collection itemVars)`
`void` | `setValueAt(java.lang.Object val, int row, int col)`
`protected void` | `updateConstCols()`

Methods inherited from class ix.iface.ui.table.AbstractIXTableModel
`addData, addData, addMarkListener, clearData, clearMarks, defaultGetCellValueAt, defaultSetColumnFields, deriveColumnFields, fireTableMarkAdded, fireTableMarkCleared, fireTableMarkedAll, fireTableMarkRemoved, getColumnClass, getColumnCount, getColumnName, getColumnNames, getData, getMarkedObjects, getMarkedRows, getObjectRow, getRowCount, getRowObject, getValueAt, isMarkable, isMarked, isMarkedEmpty, markAll, markRow, removeData, removeMarkListener, replaceData, setColumnClasses, setColumnFields, setColumnNames, setData, unmarkRow`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columns

    java.lang.String[] columns

### classes

    java.lang.Class[] classes

### refinement

    UIRefinement refinement

Constructor Detail

### DeclarationEditor.VarTypeTableModel

    DeclarationEditor.VarTypeTableModel()

Method Detail

### clear

    public void clear()

### setData

    public void setData(UIRefinement uir,
                        java.util.Collection itemVars)

### addData

    public void addData(ItemVar itemVar)

### getCellValueAt

    public java.lang.Object getCellValueAt(java.lang.Object baseObject,
                                           int columnIndex)

  Description copied from class: `AbstractIXTableModel`
  Gets the object's value for the given column index.

  Specified by:
    `getCellValueAt` in class `AbstractIXTableModel`
  Returns:
    an object that can be rendered by the table.

### isCellEditable

    public boolean isCellEditable(int row,
                                  int col)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `AbstractIXTableModel`

### setValueAt

    public void setValueAt(java.lang.Object val,
                           int row,
                           int col)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `setValueAt` in class `AbstractIXTableModel`

### updateConstCols

    protected void updateConstCols()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD